# GstGhostPad

GhostPads are useful when organizing pipelines with GstBin like elements. The idea here is to create hierarchical element graphs. The bin element contains a sub-graph. Now one would like to treat the bin-element like any other GstElement. This is where GhostPads come into play. A GhostPad acts as a proxy for another pad. Thus the bin can have sink and source ghost-pads that are associated with sink and source pads of the child elements.

If the target pad is known at creation time, gst_ghost_pad_new is the function to use to get a ghost-pad. Otherwise one can use gst_ghost_pad_new_no_target to create the ghost-pad and use gst_ghost_pad_set_target to establish the association later on.

Note that GhostPads add overhead to the data processing of a pipeline.

## GstGhostPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstProxyPad
                        ╰──GstGhostPad

Opaque GstGhostPad structure.

### Members

`pad` (GstProxyPad) –
No description available

### Class structure

#### GstGhostPadClass

##### Fields

`parent_class` (GstProxyPadClass) –
No description available

### Gst.GhostPadClass

##### Attributes

`parent_class` (Gst.ProxyPadClass) –
No description available

### Gst.GhostPadClass

##### Attributes

`parent_class` (Gst.ProxyPadClass) –
No description available

## Gst.GhostPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──Gst.ProxyPad
                        ╰──Gst.GhostPad

Opaque Gst.GhostPad structure.

### Members

`pad` (Gst.ProxyPad) –
No description available

## Gst.GhostPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──Gst.ProxyPad
                        ╰──Gst.GhostPad

Opaque Gst.GhostPad structure.

### Members

`pad` (Gst.ProxyPad) –
No description available

### Constructors

#### gst_ghost_pad_new

    GstPad *
    gst_ghost_pad_new (const gchar * name,
                       GstPad * target)

Create a new ghostpad with target as the target. The direction will be taken from the target pad. target must be unlinked.

Will ref the target.

Parameters:

`name` ( [allow-none]) –

the name of the new pad, or NULL to assign a default name

`target` ( [transfer: none]) –

the pad to ghost.

Returns ( [transfer: floating][nullable]) –

a new GstPad, or NULL in case of an error.

#### Gst.GhostPad.prototype.new

    function Gst.GhostPad.prototype.new(name: String, target: Gst.Pad): {
        // javascript wrapper for 'gst_ghost_pad_new'
    }

Create a new ghostpad with target as the target. The direction will be taken from the target pad. target must be unlinked.

Will ref the target.

Parameters:

`name` (String) –

the name of the new pad, or null to assign a default name

`target` (Gst.Pad) –

the pad to ghost.

Returns (Gst.Pad) –

a new Gst.Pad, or null in case of an error.

#### Gst.GhostPad.new

    def Gst.GhostPad.new (name, target):
        #python wrapper for 'gst_ghost_pad_new'

Create a new ghostpad with target as the target. The direction will be taken from the target pad. target must be unlinked.

Will ref the target.

Parameters:

`name` (str) –

the name of the new pad, or None to assign a default name

`target` (Gst.Pad) –

the pad to ghost.

Returns (Gst.Pad) –

a new Gst.Pad, or None in case of an error.

#### gst_ghost_pad_new_from_template

    GstPad *
    gst_ghost_pad_new_from_template (const gchar * name,
                                     GstPad * target,
                                     GstPadTemplate * templ)

Create a new ghostpad with target as the target. The direction will be taken from the target pad. The template used on the ghostpad will be template.

Will ref the target.

Parameters:

`name` ( [allow-none]) –

the name of the new pad, or NULL to assign a default name.

`target` ( [transfer: none]) –

the pad to ghost.

`templ` ( [transfer: none]) –

the GstPadTemplate to use on the ghostpad.

Returns ( [transfer: floating][nullable]) –

a new GstPad, or NULL in case of an error.

#### Gst.GhostPad.prototype.new_from_template

    function Gst.GhostPad.prototype.new_from_template(name: String, target: Gst.Pad, templ: Gst.PadTemplate): {
        // javascript wrapper for 'gst_ghost_pad_new_from_template'
    }

Create a new ghostpad with target as the target. The direction will be taken from the target pad. The template used on the ghostpad will be template.

Will ref the target.

Parameters:

`name` (String) –

the name of the new pad, or null to assign a default name.

`target` (Gst.Pad) –

the pad to ghost.

`templ` (Gst.PadTemplate) –

the Gst.PadTemplate to use on the ghostpad.

Returns (Gst.Pad) –

a new Gst.Pad, or null in case of an error.

#### Gst.GhostPad.new_from_template

    def Gst.GhostPad.new_from_template (name, target, templ):
        #python wrapper for 'gst_ghost_pad_new_from_template'

Create a new ghostpad with target as the target. The direction will be taken from the target pad. The template used on the ghostpad will be template.

Will ref the target.

Parameters:

`name` (str) –

the name of the new pad, or None to assign a default name.

`target` (Gst.Pad) –

the pad to ghost.

`templ` (Gst.PadTemplate) –

the Gst.PadTemplate to use on the ghostpad.

Returns (Gst.Pad) –

a new Gst.Pad, or None in case of an error.

#### gst_ghost_pad_new_no_target

    GstPad *
    gst_ghost_pad_new_no_target (const gchar * name,
                                 GstPadDirection dir)

Create a new ghostpad without a target with the given direction. A target can be set on the ghostpad later with the gst_ghost_pad_set_target function.

The created ghostpad will not have a padtemplate.

Parameters:

`name` ( [allow-none]) –

the name of the new pad, or NULL to assign a default name.

`dir` –

the direction of the ghostpad

Returns ( [transfer: floating][nullable]) –

a new GstPad, or NULL in case of an error.

#### Gst.GhostPad.prototype.new_no_target

    function Gst.GhostPad.prototype.new_no_target(name: String, dir: Gst.PadDirection): {
        // javascript wrapper for 'gst_ghost_pad_new_no_target'
    }

Create a new ghostpad without a target with the given direction. A target can be set on the ghostpad later with the Gst.GhostPad.prototype.set_target function.

The created ghostpad will not have a padtemplate.

Parameters:

`name` (String) –

the name of the new pad, or null to assign a default name.

`dir` (Gst.PadDirection) –

the direction of the ghostpad

Returns (Gst.Pad) –

a new Gst.Pad, or null in case of an error.

#### Gst.GhostPad.new_no_target

    def Gst.GhostPad.new_no_target (name, dir):
        #python wrapper for 'gst_ghost_pad_new_no_target'

Create a new ghostpad without a target with the given direction. A target can be set on the ghostpad later with the Gst.GhostPad.set_target function.

The created ghostpad will not have a padtemplate.

Parameters:

`name` (str) –

the name of the new pad, or None to assign a default name.

`dir` (Gst.PadDirection) –

the direction of the ghostpad

Returns (Gst.Pad) –

a new Gst.Pad, or None in case of an error.

#### gst_ghost_pad_new_no_target_from_template

    GstPad *
    gst_ghost_pad_new_no_target_from_template (const gchar * name,
                                               GstPadTemplate * templ)

Create a new ghostpad based on templ, without setting a target. The direction will be taken from the templ.

Parameters:

`name` ( [allow-none]) –

the name of the new pad, or NULL to assign a default name

`templ` ( [transfer: none]) –

the GstPadTemplate to create the ghostpad from.

Returns ( [transfer: floating][nullable]) –

a new GstPad, or NULL in case of an error.

#### Gst.GhostPad.prototype.new_no_target_from_template

    function Gst.GhostPad.prototype.new_no_target_from_template(name: String, templ: Gst.PadTemplate): {
        // javascript wrapper for 'gst_ghost_pad_new_no_target_from_template'
    }

Create a new ghostpad based on templ, without setting a target. The direction will be taken from the templ.

Parameters:

`name` (String) –

the name of the new pad, or null to assign a default name

`templ` (Gst.PadTemplate) –

the Gst.PadTemplate to create the ghostpad from.

Returns (Gst.Pad) –

a new Gst.Pad, or null in case of an error.

#### Gst.GhostPad.new_no_target_from_template

    def Gst.GhostPad.new_no_target_from_template (name, templ):
        #python wrapper for 'gst_ghost_pad_new_no_target_from_template'

Create a new ghostpad based on templ, without setting a target. The direction will be taken from the templ.

Parameters:

`name` (str) –

the name of the new pad, or None to assign a default name

`templ` (Gst.PadTemplate) –

the Gst.PadTemplate to create the ghostpad from.

Returns (Gst.Pad) –

a new Gst.Pad, or None in case of an error.

### Methods

#### gst_ghost_pad_construct

    gboolean
    gst_ghost_pad_construct (GstGhostPad * gpad)

Finish initialization of a newly allocated ghost pad.

This function is most useful in language bindings and when subclassing GstGhostPad; plugin and application developers normally will not call this function. Call this function directly after a call to g_object_new (GST_TYPE_GHOST_PAD, "direction", dir, ..., NULL).

Parameters:

`gpad` –

the newly allocated ghost pad

Returns –

TRUE if the construction succeeds, FALSE otherwise.

deprecated : This function is deprecated since 1.18 and does nothing anymore.

#### Gst.GhostPad.prototype.construct

    function Gst.GhostPad.prototype.construct(): {
        // javascript wrapper for 'gst_ghost_pad_construct'
    }

Finish initialization of a newly allocated ghost pad.

This function is most useful in language bindings and when subclassing Gst.GhostPad; plugin and application developers normally will not call this function. Call this function directly after a call to g_object_new (GST_TYPE_GHOST_PAD, "direction", dir, ..., NULL).

Parameters:

`gpad` (Gst.GhostPad) –

the newly allocated ghost pad

Returns (Number) –

true if the construction succeeds, false otherwise.

deprecated : This function is deprecated since 1.18 and does nothing anymore.

#### Gst.GhostPad.construct

    def Gst.GhostPad.construct (self):
        #python wrapper for 'gst_ghost_pad_construct'

Finish initialization of a newly allocated ghost pad.

This function is most useful in language bindings and when subclassing Gst.GhostPad; plugin and application developers normally will not call this function. Call this function directly after a call to g_object_new (GST_TYPE_GHOST_PAD, "direction", dir, ..., NULL).

Parameters:

`gpad` (Gst.GhostPad) –

the newly allocated ghost pad

Returns (bool) –

True if the construction succeeds, False otherwise.

deprecated : This function is deprecated since 1.18 and does nothing anymore.

#### gst_ghost_pad_get_target

    GstPad *
    gst_ghost_pad_get_target (GstGhostPad * gpad)

Get the target pad of gpad. Unref target pad after usage.

Parameters:

`gpad` –

the GstGhostPad

Returns ( [transfer: full][nullable]) –

the target GstPad, can be NULL if the ghostpad has no target set. Unref target pad after usage.

#### Gst.GhostPad.prototype.get_target

    function Gst.GhostPad.prototype.get_target(): {
        // javascript wrapper for 'gst_ghost_pad_get_target'
    }

Get the target pad of gpad. Unref target pad after usage.

Parameters:

`gpad` (Gst.GhostPad) –

the Gst.GhostPad

Returns (Gst.Pad) –

the target Gst.Pad, can be null if the ghostpad has no target set. Unref target pad after usage.

#### Gst.GhostPad.get_target

    def Gst.GhostPad.get_target (self):
        #python wrapper for 'gst_ghost_pad_get_target'

Get the target pad of gpad. Unref target pad after usage.

Parameters:

`gpad` (Gst.GhostPad) –

the Gst.GhostPad

Returns (Gst.Pad) –

the target Gst.Pad, can be None if the ghostpad has no target set. Unref target pad after usage.

#### gst_ghost_pad_set_target

    gboolean
    gst_ghost_pad_set_target (GstGhostPad * gpad,
                              GstPad * newtarget)

Set the new target of the ghostpad gpad. Any existing target is unlinked and links to the new target are established. if newtarget is NULL the target will be cleared.

Parameters:

`gpad` –

the GstGhostPad

`newtarget` ( [transfer: none][allow-none]) –

the new pad target

Returns –

TRUE if the new target could be set. This function can return FALSE when the internal pads could not be linked.

#### Gst.GhostPad.prototype.set_target

    function Gst.GhostPad.prototype.set_target(newtarget: Gst.Pad): {
        // javascript wrapper for 'gst_ghost_pad_set_target'
    }

Set the new target of the ghostpad gpad. Any existing target is unlinked and links to the new target are established. if newtarget is null the target will be cleared.

Parameters:

`gpad` (Gst.GhostPad) –

the Gst.GhostPad

`newtarget` (Gst.Pad) –

the new pad target

Returns (Number) –

true if the new target could be set. This function can return false when the internal pads could not be linked.

#### Gst.GhostPad.set_target

    def Gst.GhostPad.set_target (self, newtarget):
        #python wrapper for 'gst_ghost_pad_set_target'

Set the new target of the ghostpad gpad. Any existing target is unlinked and links to the new target are established. if newtarget is None the target will be cleared.

Parameters:

`gpad` (Gst.GhostPad) –

the Gst.GhostPad

`newtarget` (Gst.Pad) –

the new pad target

Returns (bool) –

True if the new target could be set. This function can return False when the internal pads could not be linked.

### Functions

#### gst_ghost_pad_activate_mode_default

    gboolean
    gst_ghost_pad_activate_mode_default (GstPad * pad,
                                         GstObject * parent,
                                         GstPadMode mode,
                                         gboolean active)

Invoke the default activate mode function of a ghost pad.

Parameters:

`pad` –

the GstPad to activate or deactivate.

`parent` ( [allow-none]) –

the parent of pad or NULL

`mode` –

the requested activation mode

`active` –

whether the pad should be active or not.

Returns –

TRUE if the operation was successful.

#### Gst.GhostPad.prototype.activate_mode_default

    function Gst.GhostPad.prototype.activate_mode_default(pad: Gst.Pad, parent: Gst.Object, mode: Gst.PadMode, active: Number): {
        // javascript wrapper for 'gst_ghost_pad_activate_mode_default'
    }

Invoke the default activate mode function of a ghost pad.

Parameters:

`pad` (Gst.Pad) –

the Gst.Pad to activate or deactivate.

`parent` (Gst.Object) –

the parent of pad or null

`mode` (Gst.PadMode) –

the requested activation mode

`active` (Number) –

whether the pad should be active or not.

Returns (Number) –

true if the operation was successful.

#### Gst.GhostPad.activate_mode_default

    def Gst.GhostPad.activate_mode_default (pad, parent, mode, active):
        #python wrapper for 'gst_ghost_pad_activate_mode_default'

Invoke the default activate mode function of a ghost pad.

Parameters:

`pad` (Gst.Pad) –

the Gst.Pad to activate or deactivate.

`parent` (Gst.Object) –

the parent of pad or None

`mode` (Gst.PadMode) –

the requested activation mode

`active` (bool) –

whether the pad should be active or not.

Returns (bool) –

True if the operation was successful.

#### gst_ghost_pad_internal_activate_mode_default

    gboolean
    gst_ghost_pad_internal_activate_mode_default (GstPad * pad,
                                                  GstObject * parent,
                                                  GstPadMode mode,
                                                  gboolean active)

Invoke the default activate mode function of a proxy pad that is owned by a ghost pad.

Parameters:

`pad` –

the GstPad to activate or deactivate.

`parent` ( [allow-none]) –

the parent of pad or NULL

`mode` –

the requested activation mode

`active` –

whether the pad should be active or not.

Returns –

TRUE if the operation was successful.

#### Gst.GhostPad.prototype.internal_activate_mode_default

    function Gst.GhostPad.prototype.internal_activate_mode_default(pad: Gst.Pad, parent: Gst.Object, mode: Gst.PadMode, active: Number): {
        // javascript wrapper for 'gst_ghost_pad_internal_activate_mode_default'
    }

Invoke the default activate mode function of a proxy pad that is owned by a ghost pad.

Parameters:

`pad` (Gst.Pad) –

the Gst.Pad to activate or deactivate.

`parent` (Gst.Object) –

the parent of pad or null

`mode` (Gst.PadMode) –

the requested activation mode

`active` (Number) –

whether the pad should be active or not.

Returns (Number) –

true if the operation was successful.

#### Gst.GhostPad.internal_activate_mode_default

    def Gst.GhostPad.internal_activate_mode_default (pad, parent, mode, active):
        #python wrapper for 'gst_ghost_pad_internal_activate_mode_default'

Invoke the default activate mode function of a proxy pad that is owned by a ghost pad.

Parameters:

`pad` (Gst.Pad) –

the Gst.Pad to activate or deactivate.

`parent` (Gst.Object) –

the parent of pad or None

`mode` (Gst.PadMode) –

the requested activation mode

`active` (bool) –

whether the pad should be active or not.

Returns (bool) –

True if the operation was successful.

## GstProxyPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstProxyPad
                        ╰──GstGhostPad

### Members

`pad` (GstPad) –
No description available

### Class structure

#### GstProxyPadClass

##### Fields

`parent_class` (GstPadClass) –
No description available

### Gst.ProxyPadClass

##### Attributes

`parent_class` (Gst.PadClass) –
No description available

### Gst.ProxyPadClass

##### Attributes

`parent_class` (Gst.PadClass) –
No description available

## Gst.ProxyPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──Gst.ProxyPad
                        ╰──Gst.GhostPad

### Members

`pad` (Gst.Pad) –
No description available

## Gst.ProxyPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──Gst.ProxyPad
                        ╰──Gst.GhostPad

### Members

`pad` (Gst.Pad) –
No description available

### Methods

#### gst_proxy_pad_get_internal

    GstProxyPad *
    gst_proxy_pad_get_internal (GstProxyPad * pad)

Get the internal pad of pad. Unref target pad after usage.

The internal pad of a GstGhostPad is the internally used pad of opposite direction, which is used to link to the target.

Parameters:

`pad` –

the GstProxyPad

Returns ( [transfer: full][nullable]) –

the target GstProxyPad, can be NULL. Unref target pad after usage.

#### Gst.ProxyPad.prototype.get_internal

    function Gst.ProxyPad.prototype.get_internal(): {
        // javascript wrapper for 'gst_proxy_pad_get_internal'
    }

Get the internal pad of pad. Unref target pad after usage.

The internal pad of a Gst.GhostPad is the internally used pad of opposite direction, which is used to link to the target.

Parameters:

`pad` (Gst.ProxyPad) –

the Gst.ProxyPad

Returns (Gst.ProxyPad) –

the target Gst.ProxyPad, can be null. Unref target pad after usage.

#### Gst.ProxyPad.get_internal

    def Gst.ProxyPad.get_internal (self):
        #python wrapper for 'gst_proxy_pad_get_internal'

Get the internal pad of pad. Unref target pad after usage.

The internal pad of a Gst.GhostPad is the internally used pad of opposite direction, which is used to link to the target.

Parameters:

`pad` (Gst.ProxyPad) –

the Gst.ProxyPad

Returns (Gst.ProxyPad) –

the target Gst.ProxyPad, can be None. Unref target pad after usage.

### Functions

#### gst_proxy_pad_chain_default

    GstFlowReturn
    gst_proxy_pad_chain_default (GstPad * pad,
                                 GstObject * parent,
                                 GstBuffer * buffer)

Invoke the default chain function of the proxy pad.

Parameters:

`pad` –

a sink GstPad, returns GST_FLOW_ERROR if not.

`parent` ( [allow-none]) –

the parent of pad or NULL

`buffer` ( [transfer: full]) –

the GstBuffer to send, return GST_FLOW_ERROR if not.

Returns –

a GstFlowReturn from the pad.

#### Gst.ProxyPad.prototype.chain_default

    function Gst.ProxyPad.prototype.chain_default(pad: Gst.Pad, parent: Gst.Object, buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_proxy_pad_chain_default'
    }

Invoke the default chain function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

a sink Gst.Pad, returns GST_FLOW_ERROR if not.

`parent` (Gst.Object) –

the parent of pad or null

`buffer` (Gst.Buffer) –

the Gst.Buffer to send, return GST_FLOW_ERROR if not.

Returns (Gst.FlowReturn) –

a Gst.FlowReturn from the pad.

#### Gst.ProxyPad.chain_default

    def Gst.ProxyPad.chain_default (pad, parent, buffer):
        #python wrapper for 'gst_proxy_pad_chain_default'

Invoke the default chain function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

a sink Gst.Pad, returns GST_FLOW_ERROR if not.

`parent` (Gst.Object) –

the parent of pad or None

`buffer` (Gst.Buffer) –

the Gst.Buffer to send, return GST_FLOW_ERROR if not.

Returns (Gst.FlowReturn) –

a Gst.FlowReturn from the pad.

#### gst_proxy_pad_chain_list_default

    GstFlowReturn
    gst_proxy_pad_chain_list_default (GstPad * pad,
                                      GstObject * parent,
                                      GstBufferList * list)

Invoke the default chain list function of the proxy pad.

Parameters:

`pad` –

a sink GstPad, returns GST_FLOW_ERROR if not.

`parent` ( [allow-none]) –

the parent of pad or NULL

`list` ( [transfer: full]) –

the GstBufferList to send, return GST_FLOW_ERROR if not.

Returns –

a GstFlowReturn from the pad.

#### Gst.ProxyPad.prototype.chain_list_default

    function Gst.ProxyPad.prototype.chain_list_default(pad: Gst.Pad, parent: Gst.Object, list: Gst.BufferList): {
        // javascript wrapper for 'gst_proxy_pad_chain_list_default'
    }

Invoke the default chain list function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

a sink Gst.Pad, returns GST_FLOW_ERROR if not.

`parent` (Gst.Object) –

the parent of pad or null

`list` (Gst.BufferList) –

the Gst.BufferList to send, return GST_FLOW_ERROR if not.

Returns (Gst.FlowReturn) –

a Gst.FlowReturn from the pad.

#### Gst.ProxyPad.chain_list_default

    def Gst.ProxyPad.chain_list_default (pad, parent, list):
        #python wrapper for 'gst_proxy_pad_chain_list_default'

Invoke the default chain list function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

a sink Gst.Pad, returns GST_FLOW_ERROR if not.

`parent` (Gst.Object) –

the parent of pad or None

`list` (Gst.BufferList) –

the Gst.BufferList to send, return GST_FLOW_ERROR if not.

Returns (Gst.FlowReturn) –

a Gst.FlowReturn from the pad.

#### gst_proxy_pad_getrange_default

    GstFlowReturn
    gst_proxy_pad_getrange_default (GstPad * pad,
                                    GstObject * parent,
                                    guint64 offset,
                                    guint size,
                                    GstBuffer ** buffer)

Invoke the default getrange function of the proxy pad.

Parameters:

`pad` –

a src GstPad, returns GST_FLOW_ERROR if not.

`parent` –

the parent of pad

`offset` –

The start offset of the buffer

`size` –

The length of the buffer

`buffer` ( [out]) –

a pointer to hold the GstBuffer, returns GST_FLOW_ERROR if NULL.

Returns –

a GstFlowReturn from the pad.

#### Gst.ProxyPad.prototype.getrange_default

    function Gst.ProxyPad.prototype.getrange_default(pad: Gst.Pad, parent: Gst.Object, offset: Number, size: Number): {
        // javascript wrapper for 'gst_proxy_pad_getrange_default'
    }

Invoke the default getrange function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

a src Gst.Pad, returns Gst.FlowReturn.ERROR if not.

`parent` (Gst.Object) –

the parent of pad

`offset` (Number) –

The start offset of the buffer

`size` (Number) –

The length of the buffer

Returns a tuple made of:

(Gst.FlowReturn ) –

a Gst.FlowReturn from the pad.

`buffer` (Gst.Buffer ) –

a Gst.FlowReturn from the pad.

#### Gst.ProxyPad.getrange_default

    def Gst.ProxyPad.getrange_default (pad, parent, offset, size):
        #python wrapper for 'gst_proxy_pad_getrange_default'

Invoke the default getrange function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

a src Gst.Pad, returns Gst.FlowReturn.ERROR if not.

`parent` (Gst.Object) –

the parent of pad

`offset` (int) –

The start offset of the buffer

`size` (int) –

The length of the buffer

Returns a tuple made of:

(Gst.FlowReturn ) –

a Gst.FlowReturn from the pad.

`buffer` (Gst.Buffer ) –

a Gst.FlowReturn from the pad.

#### gst_proxy_pad_iterate_internal_links_default

    GstIterator *
    gst_proxy_pad_iterate_internal_links_default (GstPad * pad,
                                                  GstObject * parent)

Invoke the default iterate internal links function of the proxy pad.

Parameters:

`pad` –

the GstPad to get the internal links of.

`parent` ( [allow-none]) –

the parent of pad or NULL

Returns ( [nullable]) –

a GstIterator of GstPad, or NULL if pad has no parent. Unref each returned pad with gst_object_unref.

#### Gst.ProxyPad.prototype.iterate_internal_links_default

    function Gst.ProxyPad.prototype.iterate_internal_links_default(pad: Gst.Pad, parent: Gst.Object): {
        // javascript wrapper for 'gst_proxy_pad_iterate_internal_links_default'
    }

Invoke the default iterate internal links function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

the Gst.Pad to get the internal links of.

`parent` (Gst.Object) –

the parent of pad or null

Returns (Gst.Iterator) –

a Gst.Iterator of Gst.Pad, or null if pad has no parent. Unref each returned pad with Gst.Object.prototype.unref.

#### Gst.ProxyPad.iterate_internal_links_default

    def Gst.ProxyPad.iterate_internal_links_default (pad, parent):
        #python wrapper for 'gst_proxy_pad_iterate_internal_links_default'

Invoke the default iterate internal links function of the proxy pad.

Parameters:

`pad` (Gst.Pad) –

the Gst.Pad to get the internal links of.

`parent` (Gst.Object) –

the parent of pad or None

Returns (Gst.Iterator) –

a Gst.Iterator of Gst.Pad, or None if pad has no parent. Unref each returned pad with Gst.Object.unref.

## Function Macros

### GST_GHOST_PAD_CAST

    #define GST_GHOST_PAD_CAST(obj)         ((GstGhostPad*)(obj))

The results of the search are